<div class="mdl-layout mdl-js-layout mdl-layout--fixed-header">
  <header class="mdl-layout__header">
         <div class="mdl-layout__header-row">      
            <span class="mdl-layout-title">{{name}}</span>          
         </div>       
      </header>
      <div class="mdl-layout__drawer">
         <span class="mdl-layout-title">Webpackr Material Design</span>
         <nav class="mdl-navigation">
            <a class="mdl-navigation__link" href="">Home</a>
            <a class="mdl-navigation__link" href="">About</a>  
         </nav>
      </div>
      <main class="mdl-layout__content">    
         <div class="mdl-grid">
            <p><strong>Email:</strong> {{email}}</p>
              <p><strong>Address:</strong>{{address.street}} {{address.city}} {{address.state}}</p>
              <button class="mdl-button mdl-js-button mdl-button--fab mdl-js-ripple-effect mdl-button--colored" (click)="toggleHobbies()">
                <i class="material-icons">{{showHobbies ? 'alarm_off': 'alarm_add'}}</i>
              </button>

              <div *ngIf="showHobbies">
                <h3>Hobbies</h3>
                <ul class="demo-list-item mdl-list">
                  <li *ngFor="let hobby of hobbies ; let i = index" class="mdl-list__item">
                    {{hobby}} <button (click)="deleteHobby(i)" class="mdl-button mdl-js-button mdl-button--accent">x</button>
                  </li>
                </ul>
                <form (submit)="addHobby(hobby.value)">
                  <label>Add Hobby</label>
                  <input type='text' #hobby/><br/>  
                </form>
              </div>
            </div>
            <hr/>
            <div class="mdl-cell mdl-cell--6-col">
              <h3>Edit User</h3>
              <form>
                <div class="mdl-textfield mdl-js-textfield">
                  <input type='text' class='mdl-textfield__input' name= 'name' [(ngModel)]="name">
                  <label class="mdl-textfield__label" >Name</label>
                  
                  <input type='text' class='mdl-textfield__input' name= 'email' [(ngModel)]="email">
                  <label class="mdl-textfield__label" >Email</label>
                  
                  <input type='text' class='mdl-textfield__input' name= 'address.street' [(ngModel)]="address.street">
                  <label class="mdl-textfield__label" >Street</label>
                  
                  <input type='text' class='mdl-textfield__input' name= 'address.city' [(ngModel)]="address.city">
                  <label class="mdl-textfield__label" >City</label>
                  
                  <input type='text' class='mdl-textfield__input' name= 'address.state' [(ngModel)]="address.state">
                  <label class="mdl-textfield__label" >State</label>
                </div>
              </form>
            </div>
            <hr/>
            <h3>Get Posts</h3>
            <div class="mdl-grid">
              <div *ngFor="let post of posts" class="mdl-cell mdl-cell--4-col">
                <h3>{{post.title}}</h3>
                <p>{{post.body}}</p>
              </div>
            </div>
            
      </main>
</div>